## ruby-fftw3 0.2

=== Makefile ===

SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = .
topdir = /usr/lib/ruby/1.8/i386-linux
hdrdir = $(topdir)
VPATH = $(srcdir)
prefix = $(DESTDIR)/usr
exec_prefix = $(prefix)
sitedir = $(prefix)/local/lib/site_ruby
rubylibdir = $(libdir)/ruby/$(ruby_version)
builddir = $(ac_builddir)
archdir = $(rubylibdir)/$(arch)
sbindir = $(exec_prefix)/sbin
compile_dir = $(DESTDIR)/tmp/ruby1.8-1.8.1+1.8.2pre1/build-tree/ruby-1.8.2
datadir = $(prefix)/share
includedir = $(prefix)/include
infodir = $(prefix)/info
top_builddir = $(ac_top_builddir)
sysconfdir = $(DESTDIR)/etc
mandir = $(datadir)/man
libdir = $(exec_prefix)/lib
sharedstatedir = $(prefix)/com
oldincludedir = $(DESTDIR)/usr/include
sitearchdir = $(sitelibdir)/$(sitearch)
bindir = $(exec_prefix)/bin
localstatedir = $(DESTDIR)/var
sitelibdir = $(sitedir)/$(ruby_version)
libexecdir = $(exec_prefix)/libexec

CC = gcc
LIBRUBY = $(LIBRUBY_SO)
LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a
LIBRUBYARG_SHARED = -l$(RUBY_SO_NAME)
LIBRUBYARG_STATIC = -l$(RUBY_SO_NAME)-static

CFLAGS   =  -fPIC -Wall -g -O2  -fPIC -DFFTW3_HAS_SINGLE_SUPPORT 
CPPFLAGS = -I. -I$(topdir) -I$(hdrdir) -I$(srcdir) -DHAVE_NARRAY_H -DHAVE_NARRAY_CONFIG_H -DHAVE_FFTW3_H -I/usr/local/include -I$(sitelibdir)/$(sitearch) 
CXXFLAGS = $(CFLAGS) 
DLDFLAGS =   
LDSHARED = gcc -shared
AR = ar
EXEEXT = 

RUBY_INSTALL_NAME = ruby1.8
RUBY_SO_NAME = $(RUBY_INSTALL_NAME)
arch = i386-linux
sitearch = i386-linux
ruby_version = 1.8
ruby = /usr/bin/ruby1.8
RUBY = $(ruby)
RM = $(RUBY) -run -e rm -- -f
MAKEDIRS = $(RUBY) -run -e mkdir -- -p
INSTALL_PROG = $(RUBY) -run -e install -- -vpm 0755
INSTALL_DATA = $(RUBY) -run -e install -- -vpm 0644

#### End of system configuration section. ####


LIBPATH =  -L"/usr/local/lib" -L"$(sitelibdir)/$(sitearch)" -L"$(libdir)"
DEFFILE = 

CLEANFILES = 
DISTCLEANFILES = 

target_prefix = /numru
LOCAL_LIBS = 
LIBS = $(LIBRUBYARG_SHARED) -lfftw3f -lfftw3  -lpthread -ldl -lcrypt -lm   -lc
OBJS = na_fftw3.o
TARGET = fftw3
DLLIB = $(TARGET).so
STATIC_LIB = $(TARGET).a

RUBYCOMMONDIR = $(sitedir)$(target_prefix)
RUBYLIBDIR    = $(sitelibdir)$(target_prefix)
RUBYARCHDIR   = $(sitearchdir)$(target_prefix)

CLEANLIBS     = "$(TARGET).{lib,exp,il?,tds,map}" $(DLLIB)
CLEANOBJS     = "*.{o,a,s[ol],pdb,bak}"

all:		$(DLLIB)
static:		$(STATIC_LIB)

clean:
		@$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES)

distclean:	clean
		@$(RM) Makefile extconf.h conftest.* mkmf.log
		@$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)

realclean:	distclean
install: $(RUBYARCHDIR)
install: $(RUBYARCHDIR)/$(DLLIB)
$(RUBYARCHDIR)/$(DLLIB): $(DLLIB) $(RUBYARCHDIR)
	@$(INSTALL_PROG) $(DLLIB) $(RUBYARCHDIR)
$(RUBYARCHDIR):
	@$(MAKEDIRS) $(RUBYARCHDIR)

site-install: install

.SUFFIXES: .c .cc .m .cxx .cpp .C .o

.cc.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.cpp.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.cxx.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.C.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<

$(DLLIB): $(OBJS)
	@-$(RM) $@
	$(LDSHARED) $(DLDFLAGS) $(LIBPATH) -o $(DLLIB) $(OBJS) $(LOCAL_LIBS) $(LIBS)

$(STATIC_LIB): $(OBJS)
	$(AR) cru $@ $(OBJS)
	@-ranlib $(DLLIB) 2> /dev/null || true

=== debian/changelog ===
ruby-fftw3 (0.2-1) unstable; urgency=low

  * Initial release (Closes: Bug#546748)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 22 Feb 2011 08:58:45 +0900

=== debian/control ===
Source: ruby-fftw3
Section: ruby
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
DM-Upload-Allowed: yes
Build-Depends: cdbs, debhelper (>= 7.0.50~), ruby-pkg-tools, quilt,
  ruby1.8-dev, ruby1.8, libnarray-ruby1.8,
  ruby1.9.1-dev, ruby1.9.1, libnarray-ruby1.9.1,
  libfftw3-dev
Standards-Version: 3.9.1
Homepage: http://ruby.gfd-dennou.org/products/ruby-fftw3/

Package: libfftw3-ruby
Architecture: any
Depends: libfftw3-ruby1.8, ${misc:Depends}
Description: Ruby interface to the FFTW Ver.3 library
 Ruby-FFTW3 is the Ruby interface to the FFTW Ver.3 library.
 Features:
   - Use NArray, which is an efficient multi-dimensional numeric array
     class for Ruby
   - Multi-dimensional complex FFT.(Real data are coerced to complex)
   - Supports both double and single float transforms.
   - Not normalized as in FFTW
 .
 This package is dependency package, which depends on Debian's default
 Ruby version(currently 1.8.x).

Package: libfftw3-ruby1.8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfftw3-dev, libnarray-ruby1.8
Description: Ruby FFT library using FFTW Ver.3
 Ruby-FFTW3 is the Ruby interface to the FFTW Ver.3 library.
 Features:
   - Use NArray, which is an efficient multi-dimensional numeric array
     class for Ruby
   - Multi-dimensional complex FFT.(Real data are coerced to complex)
   - Supports both double and single float transforms.
   - Not normalized as in FFTW
 .
 This package is built for Ruby 1.8.

Package: libfftw3-ruby1.8-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfftw3-ruby1.8 (=${binary:Version})
Description: Ruby FFT library using FFTW Ver.3
 Ruby-FFTW3 is the Ruby interface to the FFTW Ver.3 library.
 Features:
   - Use NArray, which is an efficient multi-dimensional numeric array
     class for Ruby
   - Multi-dimensional complex FFT.(Real data are coerced to complex)
   - Supports both double and single float transforms.
   - Not normalized as in FFTW
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: libfftw3-ruby1.9.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},libfftw3-dev, libnarray-ruby1.9.1
Description: Ruby FFT library using FFTW Ver.3
 Ruby-FFTW3 is the Ruby interface to the FFTW Ver.3 library.
 Features:
   - Use NArray, which is an efficient multi-dimensional numeric array
     class for Ruby
   - Multi-dimensional complex FFT.(Real data are coerced to complex)
   - Supports both double and single float transforms.
   - Not normalized as in FFTW
 .
 This package is built for Ruby 1.9.1

Package: libfftw3-ruby1.9.1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfftw3-ruby1.9.1 (=${binary:Version})
Description: Ruby FFT library using FFTW Ver.3
 Ruby-FFTW3 is the Ruby interface to the FFTW Ver.3 library.
 Features:
   - Use NArray, which is an efficient multi-dimensional numeric array
     class for Ruby
   - Multi-dimensional complex FFT.(Real data are coerced to complex)
   - Supports both double and single float transforms.
   - Not normalized as in FFTW
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/ruby-pkg-tools/1/class/ruby-extconf-rb.mk

FFTW3_RUBY_VERSIONS= 1.8 1.9.1
LIB_PACKAGE_FILTER = %-ruby $(patsubst %,\%-ruby%,$(FFTW3_RUBY_VERSIONS))
DEB_AUTO_CLEANUP_RCS := yes
DEB_RUBY_SETUP_CMD = extconf.rb
DEB_INSTALL_DOCS_libfftw3-ruby1.8 := doc
DEB_INSTALL_DOCS_libfftw3-ruby1.9.1 := doc

## ruby-fftw3 0.4

=== debian/changelog ===
ruby-fftw3 (0.4-3) unstable; urgency=low

  * Refactoring test suite
  * Add ruby-narray to Depends

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 22 Jul 2011 18:44:52 +0900

ruby-fftw3 (0.4-2) unstable; urgency=low

  * Drop libnarray-rubyXX from Build-Depends
  * Fix narray dir from archdir to vendorarchdir (Closes: Bug#628284)
  * Refactoring test case

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 18 May 2011 08:11:08 +0900

ruby-fftw3 (0.4-1) unstable; urgency=low

  * Initial release (Closes: Bug#546748)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 19 Apr 2011 17:17:16 +0900

=== debian/control ===
Source: ruby-fftw3
Section: ruby
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), gem2deb, ruby-narray, libfftw3-dev
Standards-Version: 3.9.2
Homepage: http://ruby.gfd-dennou.org/products/ruby-fftw3/
Vcs-Git: git://git.debian.org/git/pkg-ruby-extras/ruby-fftw3.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/ruby-fftw3.git;a=summary
XS-Ruby-Versions: all

Package: ruby-fftw3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby-narray
Description: Ruby interface to the FFTW Ver.3 library
 Ruby-FFTW3 is the Ruby interface to the FFTW Ver.3 library.
 Features:
   - Use NArray, which is an efficient multi-dimensional numeric array
     class for Ruby
   - Multi-dimensional complex FFT.(Real data are coerced to complex)
   - Supports both double and single float transforms.
   - Not normalized as in FFTW

Package: ruby-fftw3-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ruby-fftw3 (=${binary:Version})
Description: Ruby FFT library using FFTW Ver.3
 Ruby-FFTW3 is the Ruby interface to the FFTW Ver.3 library.
 Features:
   - Use NArray, which is an efficient multi-dimensional numeric array
     class for Ruby
   - Multi-dimensional complex FFT.(Real data are coerced to complex)
   - Supports both double and single float transforms.
   - Not normalized as in FFTW
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

=== debian/watch ===
version=3
http://ruby.gfd-dennou.org/products/ruby-fftw3/ ruby-fftw3-(.*)\.tar\.gz

## ruby-fftw3 0.4.2

=== debian/changelog ===
ruby-fftw3 (0.4.2-2build3) xenial; urgency=medium

  * No-change rebuild for ruby2.3-only support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 09:31:52 +0000

ruby-fftw3 (0.4.2-2build2) xenial; urgency=medium

  * No-change rebuild to add ruby2.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Mar 2016 14:44:08 +0000

ruby-fftw3 (0.4.2-2build1) xenial; urgency=medium

  * No-change rebuild to drop ruby2.1 support.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Jan 2016 11:19:19 +0000

ruby-fftw3 (0.4.2-2) unstable; urgency=medium

  * Refresh patches
  * Add patch: Drop RubyGems Depend

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 04 Sep 2015 17:00:24 +0900

ruby-fftw3 (0.4.2-1) unstable; urgency=medium

  * Imported Upstream version 0.4.2
  * Bump Standard Version: 3.9.6
  * Drop obsolete patch

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 23 Jul 2015 01:02:45 +0900

ruby-fftw3 (0.4-6) unstable; urgency=medium

  * Fix Build-Depends for Ruby2.0 support
  * Rebuild against Ruby (>= 2.0), drop ruby1.8 binaries

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 15 Dec 2013 22:49:02 +0900

ruby-fftw3 (0.4-5) unstable; urgency=low

  [ Cédric Boutillier ]
  * debian/control: remove obsolete DM-Upload-Allowed flag
  * use canonical URI in Vcs-* fields
  * debian/copyright: use DEP5 copyright-format/1.0
    official URL for Format field

  [ Youhei SASAKI ]
  * Unapply patches after build
  * Refresh patches
  * Bump Standard version: 3.9.4
  * Add doc-base support
  * Rebuild against newer ruby-narray, support Ruby >=2.0 (Closes: #720242)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 15 Oct 2013 17:28:24 +0900

ruby-fftw3 (0.4-4) unstable; urgency=low

  * debian/watch: fixed the URL to point to the releases page. 
  * debian/control: Build against newer gem2deb for support rubygems-integration

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 24 Nov 2012 13:46:18 +0900

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,11 @@
 Priority: optional
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
 Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), gem2deb, ruby-narray, libfftw3-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9~), gem2deb (>= 0.3.0~), ruby-narray( >= 0.6.0.1-3~), libfftw3-dev
+Standards-Version: 3.9.6
 Homepage: http://ruby.gfd-dennou.org/products/ruby-fftw3/
-Vcs-Git: git://git.debian.org/git/pkg-ruby-extras/ruby-fftw3.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/ruby-fftw3.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-fftw3.git
+Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/ruby-fftw3.git;a=summary
 XS-Ruby-Versions: all
 
 Package: ruby-fftw3

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem ruby --with ruby

override_dh_strip:
	dh_strip --dbg-package=ruby-fftw3-dbg

=== debian/watch ===
version=3
http://ruby.gfd-dennou.org/products/ruby-fftw3/release ruby-fftw3-(.*)\.tar\.gz

## ruby-fftw3 1.0.1

=== debian/changelog ===
ruby-fftw3 (1.0.1-1) unstable; urgency=medium

  * Imported Upstream version 1.0.1
  * Update debian/copyright
    - Add Files-Excluded entry:
      Upstream source contains two gemspec files.
      This cause error build/clean processes.
    - Update copyright year
  * Refresh patches
  * Drop documents install, removed upstream

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 21 Jul 2016 14:44:14 +0900

ruby-fftw3 (0.4.2-3) unstable; urgency=medium

  [ Cédric Boutillier ]
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Use https:// in Vcs-* fields
  * Bump Standards-Version to 3.9.7 (no changes needed)
  * Run wrap-and-sort on packaging files

  [ Youhei SASAKI ]
  * Fix invalid Depends line (Closes: #830093)
  * Bump Standard version: 3.9.8
  * Drop -dbg package
  * Add patch: replace git execution from gemspec

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 07 Jul 2016 15:37:45 +0900

## ruby-fftw3 1.0.2

=== debian/changelog ===
ruby-fftw3 (1.0.2-1build2) bionic; urgency=high

  * No change rebuild against ruby-defaults without ruby2.3.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Mar 2018 12:30:10 +0000

ruby-fftw3 (1.0.2-1build1) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 19:13:59 +0000

ruby-fftw3 (1.0.2-1) unstable; urgency=medium

  * Use gemwatch as upstream
  * Drop File-excluded
  * Imported Upstream version 1.0.2
  * Drop unneeded patch

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 21 Aug 2016 17:27:21 +0900

=== debian/control ===
Source: ruby-fftw3
Section: ruby
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9~),
               gem2deb,
               libfftw3-dev,
               ruby-narray (>= 0.6.0.1-3~)
Standards-Version: 3.9.8
Homepage: http://ruby.gfd-dennou.org/products/ruby-fftw3/
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-fftw3.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-fftw3.git
XS-Ruby-Versions: all

Package: ruby-fftw3
Architecture: any
Depends: ruby-narray,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ruby interface to the FFTW Ver.3 library
 Ruby-FFTW3 is the Ruby interface to the FFTW Ver.3 library.
 Features:
   - Use NArray, which is an efficient multi-dimensional numeric array
     class for Ruby
   - Multi-dimensional complex FFT.(Real data are coerced to complex)
   - Supports both double and single float transforms.
   - Not normalized as in FFTW

=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/ruby-fftw3 .*/ruby-fftw3-(.*).tar.gz
